previous working build for SH3 now fails

Robert P. J. Day rpjday@mindspring.com
Tue Sep 6 14:02:00 GMT 2005


On Tue, 6 Sep 2005, Dave Korn wrote:

> ----Original Message----
> >From: Robert P. J. Day
> >Sent: 06 September 2005 14:06
>
> >   without getting into gruesome detail, i grabbed crosstool-0.38 and
> > did a "demo-sh3.sh" build, which failed and i'm guessing it's because
> > i'm doing this on a fully-updated FC4 box running gcc-4.0.1.
> >
> >   i'm guessing it's because gcc-4 is a much less forgiving compiler
> > when it comes to questionable programming constructs and i'm wondering
> > how many previously working combinations aren't going to work anymore
> > under gcc-4.  (it's well known how lots of compiles that used to work
> > everywhere don't under gcc-4.)
> >
> >   or perhaps this is something entirely different.  i can post the
> > actual errors if someone wants to peruse them.
>
>   I can't help but ask, what on earth was the point of making a post
> _without_ the errors?

because it's actually a common error to have builds that *used* to
work with gcc-3.x.x now fail with gcc-4.x.x for precisely the reason i
mentioned -- gcc-4 is a much stricter compiler.  and it was entirely
likely that someone would reply with, "yeah, that's definitely
happening."

so i figured i'd just make a general post to start with and leave open
that possibility, rather than get into horrendous detail if the
solution was that general.

lighten up, dude.  i suggest switching to decaf.

rday

------
Want more information?  See the CrossGCC FAQ, http://www.objsw.com/CrossGCC/
Want to unsubscribe? Send a note to crossgcc-unsubscribe@sources.redhat.com



More information about the crossgcc mailing list